Finish an account balance sync
POST
/api/app/service-provider/finalize-account-sync
const url = 'https://test.unipay.co.zw/api/app/service-provider/finalize-account-sync';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"syncGeneration":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://test.unipay.co.zw/api/app/service-provider/finalize-account-sync \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "syncGeneration": 1 }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
syncGeneration
required
integer format: int64
Examplegenerated
{ "syncGeneration": 1}Responses
Section titled “Responses”OK
Media typeapplication/json
object
successful
boolean
message
string
isNewRecord
boolean
status
string
errorCode
string
Examplegenerated
{ "successful": true, "message": "example", "isNewRecord": true, "status": "example", "errorCode": "example"}Bad Request
Media typeapplication/json
object
error
object
code
string
message
string
details
string
data
object
key
additional properties
validationErrors
Array<object>
object
message
string
members
Array<string>
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example", "data": { "additionalProperty": "example" }, "validationErrors": [ { "message": "example", "members": [ "example" ] } ] }}Unauthorized: token missing, invalid or expired. Empty body.
Forbidden: the token lacks the scope this call needs. Empty body. (Refusals specific to your organisation use the error object.)
Not found: wrong path. Empty body.
Internal Server Error
Media typeapplication/json
object
error
object
code
string
message
string
details
string
data
object
key
additional properties
validationErrors
Array<object>
object
message
string
members
Array<string>
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example", "data": { "additionalProperty": "example" }, "validationErrors": [ { "message": "example", "members": [ "example" ] } ] }}UniPay API v1 · build e1eb5c49 · Powered by Axis Solutions